%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libevtx
Version:	20200709
Release:	1%{?dist}
Summary:	Library to access the Windows XML Event Log (EVTX) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libevtx/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool gcc

%description
libevtx is a library to access the Windows XML Event Log (EVTX) format

%package devel
Summary: Header files and libraries for developing applications for libevtx
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libevtx.

%package tools
Summary: Several tools for reading Windows XML Event Log (EVTX) files
Group: Applications/System
Requires: %{name} = %{version}-%{release}     

%description tools
Several tools for reading Windows XML Event Log (EVTX) files

%package python2
Summary: Python bindings for libevtx
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires:  python2-devel
Obsoletes: %{name}-python
Provides: %{name}-python = %{version}

%description python2
Python bindings for libevtx

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libevtx
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libevtx
%endif

%prep
%setup -q

%build
#if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/evtxexport
%attr(755,root,root) %{_bindir}/evtxinfo
%{_mandir}/man1/*

%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Thu Jul  9 2020 Lawrence R. Rogers <lrr@cert.org> 20200709-1
* Release 20200709-1
	Version 20200709

* Sun Apr 19 2020 Lawrence R. Rogers <lrr@cert.org> 20200419-1
* Release 20200419-1
	Version 20200419

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Mon Nov  4 2019 Lawrence R. Rogers <lrr@cert.org> 20191104-1
* Release 20191104-1
	Version 20191104

* Wed Jun 19 2019 Lawrence R. Rogers <lrr@cert.org> 20190619-1
* Release 20190619-1
	Version 20190619.

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-5
* Release 20181227-5
	Version 20181227-5: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-4
* Release 20181227-4
        Release 4 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-3
* Release 20181227-3
	Release 3 - Removed conflicts when that arise when python2 and python 3
		    versions are attempted to be installed on a system.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-2
* Release 20181227-2
        Version as of 20181227
	-python packages renamed to -python2

* Thu Dec 27 2018 Lawrence R. Rogers <lrr@cert.org> 20181227-1
* Release 20181227-1
	Version from 20181227.

* Sun Dec 16 2018 Lawrence R. Rogers <lrr@cert.org> 20181216-1
* Release 20181216-1
	Version from 20181216.

* Sat Dec 15 2018 Lawrence R. Rogers <lrr@cert.org> 20181215-1
* Release 20181215-1
	Version from 20181215.

* Sun Jan 22 2017 Lawrence R. Rogers <lrr@cert.org> 20170122-1
* Release 20170122-1
	Version from 20170122.

* Thu Apr 21 2016 Lawrence R. Rogers <lrr@cert.org> 20160421-1
* Release 20160421-1
	20160126
	* applied updates
	* worked on tests

	20160109
	* fixes for rpmbuild

* Thu Jan  7 2016 Lawrence R. Rogers <lrr@cert.org> 20160107-1
* Release 20160107-1
	20160107
	* worked on Python 3 support

* Sun Jan  3 2016 Lawrence R. Rogers <lrr@cert.org> 20160103-1
* Release 20160103-1
	20160103
	* 2016 update
	* Worked on format support

	20151221
	* applied updates

	20151206
	* updated libfwnt

	20151205
	* worked on Python bindings

* Mon Sep 28 2015 Lawrence R. Rogers <lrr@cert.org> 20150928-1
* Release 20150928-1
	20150929
	* updated m4 scripts
	* updated dependencies

	20150823
	* changed version for pypi repacking

	20150822
	* worked on setup.py

* Sat May 30 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-2
* Release 20150105-2
	Libuna GCC-5 Patch

* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-1
* Release 20150105-1
	20150105
	* 2015 update

	20141229
	* updated dependencies
	* updated version for release

	20141228
	* updated dpkg files

	20141222
	* worked on Python 3 support

	20141220
	* worked on Python 3 support
	* worked on tests

	20141117
	* code clean up

* Wed Nov 12 2014 Lawrence R. Rogers <lrr@cert.org> 20141112-1
* Release 20141112-1
	20141112
	* changes to expose the event identifier qualifiers in the python bindings


* Sun Oct 26 2014 Lawrence R. Rogers <lrr@cert.org> 20141026-1
* Release 20141026-1
	20141026
	* changes for deployment

	20141019
	* changes for deployment

	20141009
	* updated dependencies and corresponding changes

	20141004
	* update Python-bindings tests

	20140929
	* removed README.macosx
	* changes for project site move

* Mon Sep  1 2014 Lawrence R. Rogers <lrr@cert.org> 20140901-01
* Release 20140901-1
	20140901
	* bug fix in Python-bindings

* Thu Jul 31 2014 Lawrence R. Rogers <lrr@cert.org> 20140731-01
* Release 20140731-1
	20140731
	* bug fix in Python-bindings

	20140723
	* worked on dpkg debug packages support

	20140531
	* updated msvscpp files

	20140530
	* updated dependencies
	* worked on Python-bindings
	* replaced PackageMaker for pkgbuild

	20140402
	* code clean up

	20140323
	* worked on Python-bindings

	20140317
	* updated dependencies
	* worked on setup.py
	* worked on Python-bindings

	20140210
	* added evtxexport man page

	20140131
	* removed examples

* Sun Jan 12 2014 Joachim Metz <joachim.metz@gmail.com> 20140112-1
- Auto-generated

